-- migrate:up
CREATE TABLE crm_template_message (
    id INT AUTO_INCREMENT PRIMARY KEY,
    name VARCHAR(100) NOT NULL,
    message TEXT NOT NULL,
    tipe ENUM('Internal', 'Marketing') NOT NULL,
    status ENUM('Disetujui', 'Menunggu Persetujuan') NOT NULL,
    created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
);

-- migrate:down
DROP TABLE IF EXISTS crm_template_message;
